# Interface DirectivePrePost

Defines optional pre/post link functions in directive compile phase.

interface DirectivePrePost {
post?: DirectiveLinkFn;
pre?: DirectiveLinkFn;
}

- Defined in src/interface.ts:178

##### Index

### Properties

post?
pre?

## Properties

### `Optional` post

post?: DirectiveLinkFn

- Defined in src/interface.ts:180

### `Optional` pre

pre?: DirectiveLinkFn

- Defined in src/interface.ts:179